# AUTOGENERATED! DO NOT EDIT! File to edit: ../02_nft.ipynb.

# %% auto 0
__all__ = ['NFT']

# %% ../02_nft.ipynb 3
import pandas as pd
from fastcore.utils import patch
from .connectors import RSConnector
from .collection import NFTCollection, _fetch_trades

# %% ../02_nft.ipynb 4
class NFT:
    """Access NFT intelligence, such as trades and collections"""
    def __init__(self, 
                 conn: RSConnector,
                 chain: str = "eth" # chain_id - currently only "eth" and "bnb" is allowed
                ) -> None: 
        self._conn, self.chain = conn, chain       
    def trades(self,
               start_time: str, # start time in UTC. You can use shortcuts like today, yesterday or even clauses such as "1 day/week ago".
               end_time: str = '' # default now. Same type as start_time 
              )-> pd.DataFrame: # pandas dataframe with each row as a trade
        return _fetch_trades(self._conn, start_time, end_time=end_time, chain=self.chain)
    def collection(self, 
               collection_id: str # collection_address with checksum (e.g. 0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D)
              ) -> NFTCollection: 
        return NFTCollection(self._conn, collection_id)
