# AUTOGENERATED! DO NOT EDIT! File to edit: ../03_zash.ipynb.

# %% auto 0
__all__ = ['Zash']

# %% ../03_zash.ipynb 3
from .connectors import RSConnector
from .nft import NFT

# %% ../03_zash.ipynb 4
class Zash:
    """Client that handles, auth and connectivity"""
    def __init__(self,
                 username: str, # username (generally sign up email)
                 api_key: str # api key generated, you can get one [here](https://zash.sh)
                ) -> None:
        self._conn = RSConnector(username, api_key)
        if not self._conn:
            raise Exception(f'Could not authenticate. Check credentials: username={username}, api_key={api_key}')
        else:
            print('Authenticated!')
    def __repr__(self) -> str: return f"Zash(api_key=*****{self.api_key[-4:]})"
    def nft(self,
        chain_id: str # chain_id, currently only supports "eth" or "bnb"
       ): return NFT(self._conn, chain=chain_id)
